﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GoalManager : MonoBehaviour
{

    [SerializeField]
    Text text;

    [SerializeField]
    GameObject effectPrefab;

    [SerializeField]
    Animator anim;

    int score = 0;

    void OnTriggerEnter(Collider other)
    {
        GameObject effect = Instantiate(effectPrefab,
            transform.position,
            effectPrefab.transform.rotation);
        Destroy(effect, 1.0f);

        score++;
        text.text = "Score " + score;
        anim.Play("Goal");
    }
}