﻿using System;
using UnityEngine;
using UnityEngine.EventSystems;

public class ReleaseActionButton : MonoBehaviour, IPointerUpHandler {

    public Action OnReleaseAction;

    // リリース時のアクション
    public virtual void OnPointerUp(PointerEventData eventData) {
        if (enabled == false) {
            return;
        }
        if (OnReleaseAction != null) {
            OnReleaseAction();
        }
    }
}