﻿using DG.Tweening;

public static class TweenExtensions
{
    public static void SafeKill(this Tween tween, bool complete = false)
    {
        if (tween != null)
        {
            tween.Kill(complete);
        }
    }

    //public static void SafeKill(this Sequence sequence, bool complete = false)
    //{
    //    if (sequence != null)
    //    {
    //        sequence.Kill(complete);
    //    }
    //}

    public static void SafePause(this Tween tween)
    {
        if (tween != null)
        {
            tween.Pause();
        }
    }

    public static void SafePlay(this Tween tween)
    {
        if (tween != null)
        {
            tween.Play();
        }
    }

    public static void SafeRestart(this Tween tween)
    {
        if (tween != null)
        {
            tween.Restart();
        }
    }
}