﻿using UnityEngine;
using UnityEngine.UI;

public class Cell : MonoBehaviour
{
    [SerializeField]
    private Text _text;
    [SerializeField]
    private RectTransform _rectTransform;

    public RectTransform rectTransform
    {
        get
        {
            return _rectTransform;
        }
    }

    public int data
    {
        get;
        private set;
    }

    public void UpdateData(int data)
    {
        _text.text = data.ToString();
        this.data = data;
    }
}